<?php

/**
 * @file
 * om_crew_connect default views 
 */


/**
 * Implementation of hook_views_default_views().
 */
function om_crew_connect_views_default_views() {

  $view = new view;
  $view->name = 'om_crew_connect_find_crew';
  $view->description = '';
  $view->tag = '';
  $view->view_php = '';
  $view->base_table = 'users';
  $view->is_cacheable = FALSE;
  $view->api_version = 2;
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->override_option('fields', array(
	'name' => array(
	  'label' => '',
	  'alter' => array(
		'alter_text' => 0,
		'text' => '',
		'make_link' => 0,
		'path' => '',
		'link_class' => '',
		'alt' => '',
		'prefix' => '',
		'suffix' => '',
		'target' => '',
		'help' => '',
		'trim' => 0,
		'max_length' => '',
		'word_boundary' => 1,
		'ellipsis' => 1,
		'html' => 0,
		'strip_tags' => 0,
	  ),
	  'empty' => '',
	  'hide_empty' => 0,
	  'empty_zero' => 0,
	  'link_to_user' => 1,
	  'overwrite_anonymous' => 0,
	  'anonymous_text' => '',
	  'exclude' => 1,
	  'id' => 'name',
	  'table' => 'users',
	  'field' => 'name',
	  'override' => array(
		'button' => 'Override',
	  ),
	  'relationship' => 'none',
	),
	'picture' => array(
	  'label' => '',
	  'alter' => array(
		'alter_text' => 1,
		'text' => '[name] 
	  [picture]',
		'make_link' => 0,
		'path' => '',
		'link_class' => '',
		'alt' => '',
		'prefix' => '',
		'suffix' => '',
		'target' => '',
		'help' => '',
		'trim' => 0,
		'max_length' => '',
		'word_boundary' => 1,
		'ellipsis' => 1,
		'html' => 0,
		'strip_tags' => 0,
	  ),
	  'empty' => '',
	  'hide_empty' => 0,
	  'empty_zero' => 0,
	  'exclude' => 0,
	  'id' => 'picture',
	  'table' => 'users',
	  'field' => 'picture',
	  'relationship' => 'none',
	  'override' => array(
		'button' => 'Override',
	  ),
	),
	'value' => array(
	  'label' => 'Type of Projects I\'m Interested in Volunteering for',
	  'alter' => array(
		'alter_text' => 0,
		'text' => '',
		'make_link' => 0,
		'path' => '',
		'link_class' => '',
		'alt' => '',
		'prefix' => '',
		'suffix' => '',
		'target' => '',
		'help' => '',
		'trim' => 0,
		'max_length' => '',
		'word_boundary' => 1,
		'ellipsis' => 1,
		'html' => 0,
		'strip_tags' => 0,
	  ),
	  'empty' => '',
	  'hide_empty' => 0,
	  'empty_zero' => 0,
	  'exclude' => 0,
	  'id' => 'value',
	  'table' => 'profile_values_profile_volunteer_interests',
	  'field' => 'value',
	  'relationship' => 'none',
	),
  ));
  $handler->override_option('filters', array(
	'value' => array(
	  'operator' => '=',
	  'value' => '1',
	  'group' => '0',
	  'exposed' => FALSE,
	  'expose' => array(
		'operator' => FALSE,
		'label' => '',
	  ),
	  'id' => 'value',
	  'table' => 'profile_values_profile_volunteer',
	  'field' => 'value',
	  'relationship' => 'none',
	),
	'value_1' => array(
	  'operator' => 'in',
	  'value' => array(),
	  'group' => '0',
	  'exposed' => TRUE,
	  'expose' => array(
		'use_operator' => 0,
		'operator' => 'value_1_op',
		'identifier' => 'value_1',
		'label' => 'Camera',
		'optional' => 1,
		'single' => 0,
		'remember' => 0,
		'reduce' => 0,
	  ),
	  'id' => 'value_1',
	  'table' => 'profile_values_profile_camera',
	  'field' => 'value',
	  'relationship' => 'none',
	),
  ));
  $handler->override_option('access', array(
	'type' => 'none',
  ));
  $handler->override_option('cache', array(
	'type' => 'none',
  ));
  $handler->override_option('empty', 'No members found with all of these qualifications.');
  $handler->override_option('empty_format', '1');
  $handler->override_option('items_per_page', 25);
  $handler->override_option('style_plugin', 'table');

  $views[$view->name] = $view;

  return $views;
}

